extends Spatial

func _input(event: InputEvent) -> void:
	if event.is_action_pressed("toggle_directional_light"):
		$DirectionalLight.visible = not $DirectionalLight.visible

	if event.is_action_pressed("toggle_positional_lights"):
		for node in get_tree().get_nodes_in_group("positional_light"):
			node.visible = not node.visible

	if event.is_action_pressed("toggle_light_shadows"):
		for node in get_tree().get_nodes_in_group("light_with_shadows"):
			node.shadow_enabled = not node.shadow_enabled
